Try our conversational search powered by Generative AI!

EPiServer - update 74

This update includes an enhancement to EPiServer Find in EPiServer Commerce.

The update is applicable to EPiServer projects version 7.5 and higher, and contains finalized work items included in the latest iteration. The update is available for installation from the EPiServer NuGet feed. Continuous release updates are cumulative, meaning that the latest includes previous updates. All platform updates are supported and we strongly recommend that you keep ongoing projects up-to-date.  

Latest changes

Click a package in the list below to see work item details. See Release notes for an overview of latest changes. See Installing EPiServer updates for information about installing EPiServer updates using NuGet.

Updated packages  

EPiServer Commerce

Features

  • #121541 Better support for Find
    Added the Searchable(false) attribute on properties in base classes (CatalogContentBase, EntryContentBase, ProductContent, VariationContent, NodeContentBase, NodeContent, CatalogContent) so that they are not indexed in the "SearchText" field in Find.

Issues with NuGet updates

In some specific upgrading scenarios you might experience issues with the dependency chains, due to issues in NuGet. This mostly affects Commerce and Find, but also might occur when updating CMS. The workaround is usually to update the packages one-by-one. See Issues with NuGet package updates for information.

Important notifications

Note the following version-specific information:

  • From update 66, EPiServer Commerce only features that are Azure Database compliant are available by default; non-compliant features have to be manually configured.
  • Update 55 included breaking changes for CMS and Find
  • From update 40, workflows are disabled by default to simplify Azure deployment. See Activating workflows for information about enabling them.
  • Update 36 included breaking changes for Commerce; see Breaking changes Commerce 8.
  • From update 35, .NET Framework 4.5 is required; see System requirements and Upgrading to .NET Framework 4.5.
  • From update 6, EPiServer UI components (CMS and Commerce after version 7.6.0) were converted to NuGet packages. Location of packages have changed and might affect the installation if you are going from the first to the latest update; see Changes to package locations.

Related information

Last updated: Jul 13, 2015